summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-biology/dialign-tx
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-biology/dialign-tx')
-rw-r--r--sci-biology/dialign-tx/Manifest1
-rw-r--r--sci-biology/dialign-tx/dialign-tx-1.0.2-r1.ebuild44
-rw-r--r--sci-biology/dialign-tx/files/dialign-tx-1.0.2-implicits.patch18
-rw-r--r--sci-biology/dialign-tx/metadata.xml5
4 files changed, 68 insertions, 0 deletions
diff --git a/sci-biology/dialign-tx/Manifest b/sci-biology/dialign-tx/Manifest
new file mode 100644
index 00000000000..de90a59afc9
--- /dev/null
+++ b/sci-biology/dialign-tx/Manifest
@@ -0,0 +1 @@
+DIST DIALIGN-TX_1.0.2.tar.gz 1765296 SHA256 fb3940a48a12875332752a298f619f0da62593189cd257d28932463c7cebcb8f SHA512 ff43f1f2900bdd12b7a8ba382a4d6ad68e6c2e6d7ceb1a65f0e571bb891cc2dc2661fb6ce698aaabf0e20c14565b5927ae0076a7170c8611679f936851a00c43 WHIRLPOOL 70565aa507f23a4f79affd8bda64e1b2698680e2288718c7518bd1d3782ca51ab747f8860e5513e7b1d480efd065702cc407c8137e96c47c3aad28ecdd345277
diff --git a/sci-biology/dialign-tx/dialign-tx-1.0.2-r1.ebuild b/sci-biology/dialign-tx/dialign-tx-1.0.2-r1.ebuild
new file mode 100644
index 00000000000..c73d043742b
--- /dev/null
+++ b/sci-biology/dialign-tx/dialign-tx-1.0.2-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib toolchain-funcs
+
+MY_P=DIALIGN-TX_${PV}
+
+DESCRIPTION="Greedy and progressive approaches for segment-based multiple sequence alignment"
+HOMEPAGE="http://dialign-tx.gobics.de/"
+SRC_URI="http://dialign-tx.gobics.de/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ sed -e "s/\$(CC) -o/\$(CC) \$(LDFLAGS) -o/" \
+ -i source/Makefile || die #336533
+ epatch "${FILESDIR}"/${P}-implicits.patch
+}
+
+src_compile() {
+ emake -C source clean
+ emake -C source CC="$(tc-getCC)" \
+ CPPFLAGS=""
+}
+
+src_install() {
+ dobin "${S}"/source/dialign-tx
+ insinto /usr/$(get_libdir)/${PN}/conf
+ doins "${S}"/conf/*
+}
+
+pkg_postinst() {
+ einfo "The configuration directory is"
+ einfo "${ROOT}usr/$(get_libdir)/${PN}/conf"
+ einfo "You will need to pass this to ${PN} on every run."
+}
diff --git a/sci-biology/dialign-tx/files/dialign-tx-1.0.2-implicits.patch b/sci-biology/dialign-tx/files/dialign-tx-1.0.2-implicits.patch
new file mode 100644
index 00000000000..a8388d03232
--- /dev/null
+++ b/sci-biology/dialign-tx/files/dialign-tx-1.0.2-implicits.patch
@@ -0,0 +1,18 @@
+--- source/museq.c
++++ source/museq.c
+@@ -38,6 +38,7 @@
+ //extern void calc_weight(struct diag* dg, struct scr_matrix* smatrix,
+ // struct prob_dist *pdist);
+ //extern struct diag_col *create_diag_col(int seq_amount);
++extern void free_diag(struct diag* dg);
+ extern void free_diag_col(struct diag_col* dcol);
+ extern struct diag_col *find_all_diags(struct scr_matrix *smatrix,
+ struct prob_dist *pdist,
+@@ -52,6 +53,7 @@
+
+ // alig.c
+ extern struct alignment* create_empty_alignment(struct seq_col *scol);
++extern void free_alignment(struct alignment *algn);
+ //extern char adapt_diag(struct alignment *algn, struct scr_matrix *smatrix, struct diag* dg);
+ extern int simple_aligner(struct seq_col *scol, struct diag_col *dcol,
+ struct scr_matrix* smatrix,
diff --git a/sci-biology/dialign-tx/metadata.xml b/sci-biology/dialign-tx/metadata.xml
new file mode 100644
index 00000000000..f17a827e310
--- /dev/null
+++ b/sci-biology/dialign-tx/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-biology</herd>
+</pkgmetadata>